Name: balsa
Version: 2.2.6
Release: alt1

Summary: Balsa Mail Client
License: GPL
Group: Networking/Mail
Url: http://balsa.gnome.org/
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: balsa_icons.tar.bz2

# Automatically added by buildreq on Wed Sep 22 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs
BuildRequires: esound fontconfig freetype2 gcc-c++ gcc-g77
BuildRequires: glib2-devel gnome-libs-devel gnome-vfs2-devel
BuildRequires: indent libGConf2-devel libart_lgpl-devel
BuildRequires: libaspell-devel libatk-devel libbonobo2-devel
BuildRequires: libbonoboui-devel libesmtp-devel libgmime-devel
BuildRequires: libgnome-devel libgnome-keyring libgnomecanvas-devel
BuildRequires: libgnomeprint2-devel libgnomeprintui-devel
BuildRequires: libgnomeui-devel libgtk+2-devel libgtkhtml2-devel
BuildRequires: libltdl-devel libpango-devel libpopt-devel
BuildRequires: libssl-devel libstdc++-devel libxml2-devel
BuildRequires: perl-XML-Parser pkgconfig postfix scrollkeeper zlib-devel

%description
Balsa is an e-mail reader.  This client is part of the GNOME
desktop environment.  It supports local mailboxes, POP3 and
IMAP.

%prep
%setup -q
tar jxf %SOURCE2

%build
CFLAGS="$RPM_OPT_FLAGS"
%configure --enable-threads --disable-more-warnings --with-ssl
%make_build

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
rm "$RPM_BUILD_ROOT%_bindir"/balsa-ab

install -d %buildroot%_miconsdir
install -d %buildroot%_liconsdir
install -d %buildroot%_iconsdir

install -m644 balsa_16.xpm %buildroot%_miconsdir/%name.xpm
install -m644 balsa_32.xpm %buildroot%_iconsdir/%name.xpm
install -m644 balsa_48.xpm %buildroot%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/gnome-balsa2.png
%_datadir/gnome/help/%name
%_datadir/omf/%name
%_datadir/%name
%_datadir/idl
%_datadir/sounds/%name
%_libdir/bonobo/servers/*
%_man1dir/%name.1*
%_menudir/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
#%_localstatedir/*
%config %_sysconfdir/sound/events/*

%changelog
* Sun Nov 21 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.6-alt1
- 2.2.6

* Mon Oct 04 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.5-alt1
- new version

* Mon Aug 30 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.4-alt1
- new version
- periodic expunge configurable
- cleanup IMAP password quering code
- GPE address book support - http://gpe.handhelds.org/projects/GPE-address.shtml
- new configuration druid

* Sat Aug 21 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.3-alt1
- new version
- periodic expunge code crash fixed
- fixed recovery from broken IMAP connections
- startup speedup
- some memory leaks fixed

* Tue Aug 10 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.2-alt1
- new version
- configurable hiding of deleted messages
- keyboard navigation fixes
- message counting in some edge cases fixed
- GPG fixes

* Tue Aug 03 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.1-alt1
- new version
- IMAP mailboxes could be incorrectly marked as read-only
- message selection behaves more sanely
- 64-bit fixes
- memory leaks fixed
- handle better imap servers without server-side threading and limits
  on number of concurent connections
- quick "Sender or Subject" message index filtering
- various UI improvements

* Mon Jul 12 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.0-alt1
- new version
- fix 143322, 143263, 145701
- GPGME updates
- GSSAPI IMAP authentication
- more build fixes

* Tue Mar 30 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.17-alt1
- build on GNOME-2.6
- fix some GPGME interaction problems
- yet another set of minor fixes

* Mon Jan 19 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.16-alt1
- update GPGME support: 124905
- libgtkhtml3 support added
- use bonobo to avoid running of multiple balsa instances
- fix bugs: 103639, 124550, 127422, 129316 and number of others

* Mon Jan 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt3
- rebuild with gcc-3.3

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt2
- Rebuild with libaspell

* Mon Sep 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt1
- 2.0.15
- imap folder scanning speedup.
- fix bugs: 121181, 121637, 121867 and others.
- help updates.

* Thu Sep 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.14-alt2
- Cleanup spec

* Mon Jul 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.14-alt1
- 2.0.14
- message wrapping improvements, RFC 2646 support.
- experimental LDAP write support (feedback and patches appreciated).
- number of bugs fixed.

* Mon Jul 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.13-alt1
- 2.0.13

* Mon Jul 7 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.12-alt1
- 2.0.12
- Added Undo and Redo in the message composer.
- Occasional mangling of text attachments fixed
- More information about attached messages is shown.

* Sun May 18 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.11-alt2
- Cleanup spec

* Mon May 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.11-alt1
- 2.0.11
- text wrapping improvements.
- charset encoding validation and conversion improvements.
- several message signing and encryption improvelemts.
- minor LDAP fixes (large directories, non-US-ASCII characters).

* Wed Mar 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.10-alt1
- 2.0.10
- GPG support.
- translation fixes and enhancements.
- large set of UI fixes.
- wrapping cleanups.
- autocommit improvements.
- (lib)mutt buffer overflow fix.
- ...and lots of other bugs fixed.

* Sun Mar 23 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.9-alt1
- First version of RPM package.
